<?php

/**
 * @version		$Id: staticpassword.php 21707 2011-06-28 21:31:53Z mrichey $
 * @copyright	Copyright (C) 2005 - 2009 Michael Richey. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */
// No direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgUserStaticPassword extends JPlugin {

    public function onUserBeforeSave($user, $isnew, $new) {
        if (JFactory::getApplication()->isAdmin() || $isnew) {
            return true;
        }
        foreach ($this->params->get('restrict', array()) as $group) {
            if (in_array($group, JFactory::getUser()->groups)) {
                unset($new['password1'], $new['password2']);
                return true;
            }
        }
        return true;
    }

    public function onContentPrepareForm($form, $data) {
        if (!($form instanceof JForm)) {
            $this->_subject->setError('JERROR_NOT_A_FORM');
            return false;
        }

        // Check we are manipulating a valid form.
        if (!in_array($form->getName(), array('com_users.user', 'com_users.profile'))) {
            return true;
        }

        if (JFactory::getApplication()->isAdmin()) {
            return true;
        }
        foreach ($this->params->get('restrict', array()) as $group) {
            if (in_array($group, JFactory::getUser()->groups)) {
                $form->removeField('password1');
                $form->removeField('password2');
                return true;
            }
        }
        return true;
    }

}